1
$\begingroup$

I am currently using a older IntelHd Gpu which supports Opengl3.1 (Glsl #version140).

While trying to locate the relevant Api for this version ,the Khronos site only provides documentation for Opengl2.1 and Opengl4.5.

On their Github page documentation for Opengl2.1 and Opengl4 is available.

How to locate the Api for Opengl 3.1?

$\endgroup$
1
  • $\begingroup$ While this question is totally valid to be asked here, I would suggest to ask directly in the OpenGL forums: community.khronos.org --- Alternatively, you might open an issue on their GitHub site. You will probably get a quicker answer there. In case you do, please answer your own question with the links/information you got there. :) $\endgroup$
    – wychmaster
    Apr 29 '20 at 17:28
1
$\begingroup$

Older Opengl Api documentation can be found at this Official Khronos Registry

$\endgroup$
0
$\begingroup$

OpenGL 4.5 reference pages have tables at the bottom of each page indicating in which version particular function was added. For example, if you look at glTexStorage2D, you can see that it was introduced in 4.2, while its DSA equivalent in 4.5.

I think that the reason for having separate pages for 2.1 and 4.5 is that the former includes legacy functions, while the latter has only core profile functions.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.